      subroutine fillvec ( vec, nxf, nyf, slacar)
c ======================================================================
c
c        programmer     Jos van Kan
c        version 1.0    date   24-01-1997
c
c
c
c   copyright (c) 1997
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   author.
c
c   pilotcode 2d mgpackage
c
c **********************************************************************
c
c                       DESCRIPTION
c
c
c
c **********************************************************************
c
c                       KEYWORDS
c
c **********************************************************************
c
c                       INPUT / OUTPUT PARAMETERS
c
      implicit none
      integer slacar (4)
      integer nxf, nyf
      double precision
     +vec (1-slacar(1):nxf+slacar(2), 1-slacar(3):nyf+ slacar(4))

c **********************************************************************
c
c                       LOCAL PARAMETERS
c
      integer ixf, iyf
      double precision dx, dy

c **********************************************************************
c
c                       I/O
c
c **********************************************************************
c
c                       ERROR MESSAGES
c
c **********************************************************************
c
c                       PSEUDO CODE
c
c **********************************************************************
c
c                       COMMON BLOCKS
c
c **********************************************************************
c
c                       SUBROUTINES CALLED
c
c **********************************************************************
c
c                       DATA STATEMENTS
c
c ======================================================================
c
      dx = 1d0/(nxf + 1)
      dy = 1d0/(nyf + 1)
      do iyf = 1, nyf
      do ixf = 1, nxf
        vec (ixf, iyf) = dx * dy
      end do
      end do
      end
